## WebKitDOMDOMTokenList

WebKitDOMDOMTokenList

## Functions

gchar * | webkit_dom_dom_token_list_item ()
gboolean | webkit_dom_dom_token_list_contains ()
void | webkit_dom_dom_token_list_add ()
void | webkit_dom_dom_token_list_remove ()
gboolean | webkit_dom_dom_token_list_toggle ()
gulong | webkit_dom_dom_token_list_get_length ()

## Properties

gulong | length | Read

## Types and Values

| WebKitDOMDOMTokenList

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMDOMTokenList
                ╰── WebKitDOMDOMSettableTokenList

## Description

## Functions

### webkit_dom_dom_token_list_item ()

    gchar *
    webkit_dom_dom_token_list_item (WebKitDOMDOMTokenList *self,
                                    gulong index);

#### Parameters

self | A WebKitDOMDOMTokenList |
index | A gulong |

#### Returns

A gchar

### webkit_dom_dom_token_list_contains ()

    gboolean
    webkit_dom_dom_token_list_contains (WebKitDOMDOMTokenList *self,
                                        const gchar *token,
                                        GError **error);

#### Parameters

self | A WebKitDOMDOMTokenList |
token | A gchar |
error | GError |

#### Returns

A gboolean

### webkit_dom_dom_token_list_add ()

    void
    webkit_dom_dom_token_list_add (WebKitDOMDOMTokenList *self,
                                   const gchar *tokens,
                                   GError **error);

#### Parameters

self | A WebKitDOMDOMTokenList |
tokens | A gchar |
error | GError |

### webkit_dom_dom_token_list_remove ()

    void
    webkit_dom_dom_token_list_remove (WebKitDOMDOMTokenList *self,
                                      const gchar *tokens,
                                      GError **error);

#### Parameters

self | A WebKitDOMDOMTokenList |
tokens | A gchar |
error | GError |

### webkit_dom_dom_token_list_toggle ()

    gboolean
    webkit_dom_dom_token_list_toggle (WebKitDOMDOMTokenList *self,
                                      const gchar *token,
                                      gboolean force,
                                      GError **error);

#### Parameters

self | A WebKitDOMDOMTokenList |
token | A gchar |
force | A gboolean |
error | GError |

#### Returns

A gboolean

### webkit_dom_dom_token_list_get_length ()

    gulong
    webkit_dom_dom_token_list_get_length (WebKitDOMDOMTokenList *self);

#### Parameters

self | A WebKitDOMDOMTokenList |

#### Returns

A gulong

## Types and Values

### WebKitDOMDOMTokenList

    typedef struct _WebKitDOMDOMTokenList WebKitDOMDOMTokenList;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong DOMTokenList:length.

Flags: Read